Image Hosted by ImageShack.us

Questa volta,recordMydesktop,viene gestito da una interfaccia in Qt4..infatti e’ un porting di gtk-recordMydesktop in PyQt4.. poco differente dai suoi simili in kdevelop e gtk…ma provatelo perche’ ne rimarrete sbalorditi.Tra le applicazioni per registrare gli eventi desktop credo sia la migliore.
Il programma non si “pianta” nel kicker e l’interfaccia di selezione audio/video..

Image Hosted by ImageShack.us

..non influisce sulle prestazioni generali del sistema,quando avviato.
La conversione video e’ davvero molto veloce rispetto a gtk-recordmydesktop e krecordMydesktop.
Le impostazioni sono piu’ o meno le solite..ma questa salta subito all’occhio

Image Hosted by ImageShack.us

Il formato di output e’ sempre .ogg,che e’ possibile convertire subito in .avi,per upparli su Youtube magari,.. col tool Kubuntu-media-converter oppure:

mencoder file.ogg -oac mp3lame -lameopts mode=2:cbr -ovc lavc -o file.avi

==========
Installazione
==========

Download

Scompattiamo ed eseguiamo l’installazione classica da sorgenti:

tar xvfz qt-recordmydesktop-0.1.tar.gz
cd qt-recordmydesktop-0.1
./configure --prefix=/usr/
make
sudo make install

Ora e’ possibile lanciare da terminale:

nohup qt-recordMyDesktop

Oppure possiamo creare un icona con qt-recordMyDesktop nel nome-comando.

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
3.227.235.71

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

,

Commenti via Facebook:

Leave a Reply

Your email address will not be published. Required fields are marked *

*

26 Comments

  • Fradeve ITALY 12 anni ago

    Seguito passo-passo, ma:

    fradeve@dhcppc2:~$ qt-recordMyDesktop
    Traceback (most recent call last):
    File “/usr/bin/qt-recordMyDesktop”, line 31, in
    from qt_recordMyDesktop import rmdSimple
    ImportError: No module named qt_recordMyDesktop
    fradeve@dhcppc2:~$

    Cosa ne pensi?
    —->Mitico come sempre, Divi 😀

      Quota

  • e’ un errore di python
    Non l’ho scritto perche’ ci sono altri articoli che ne parlano..ma recordmydesktop va installato..cosi’ come va installato il pyQT4 e le qt4-library
    cito dall’autore:

    Minimum requirements to run it are Qt4.2, PyQt4.1 and
    recordMyDesktop 0.3.4.

    from PyQt4 import QtGui,QtCore
    from qt_recordMyDesktop import rmdSimple #linea 31

    def main():
    import sys

    app=QtGui.QApplication(sys.argv)
    tr=rmdSimple.simpleWidget()
    app.exec_()

    main()

      Quota

  • NevidS ITALY 12 anni ago

    Ottimo e’ quello che cercavo, ma toglimi una curiosità Divilinux: io sto fermo alle QT 3.3.7 con Feisty, c’è qualcosa di sbagliato? Come aggiorno alla versione 4 (che poi non ho capito se siano stabili o no).
    Grassie 🙂

      Quota

  • NevidS ITALY 12 anni ago

    ok come non detto, ho visto che l’avevi già scritto qua http://divilinu.wordpress.com/2007/04/08/klogshowoltre-superkaramba/

      Quota

  • Ottimo!!! Io c’ho messo una vita a registrare correttamente sotto Kde usando quel bruttissimo recorder per Gnome.
    Era ora che uscisse qualcosa di leggero e decente!

      Quota

  • Fradeve ITALY 12 anni ago

    Non vorrei annoiarti, ma qt4 è installato, così come recordmydesktop, ma l’errore è lo stesso. Mi viene un dubbio: esattamente quali sono le qt4-library? Tutte quelle che cadono sotto il nome di libqt?

      Quota

  • sudo apt-get install pyqt-tools pykdeextensions python

    per le qt4..non le ho installate dai repo..ma dai sorgenti quindi non so di preciso

      Quota

  • Stesso errore anche a me nn c’è modo di risolvere?
    luca@luca-desktop:~$ qt-recordMyDesktop
    Traceback (most recent call last):
    File “/usr/bin/qt-recordMyDesktop”, line 31, in
    from qt_recordMyDesktop import rmdSimple
    ImportError: No module named qt_recordMyDesktop

      Quota

  • Fradeve ITALY 12 anni ago

    idem, ancora 🙁

      Quota

  • The proper installation procedure, as outlined in
    the INSTALL file, is this:


    tar xvfz qt-recordmydesktop-0.1.tar.gz
    cd qt-recordmydesktop-0.1
    ./configure --prefix=/usr/
    make
    sudo make install

    This way the “No module named qt_recordMyDesktop” error won’t appear
    and the startup script(qt-recordMyDesktop) will be placed in /usr/bin instead
    of /usr/local/bin (though both locations should be in the $PATH environment
    variable).

    Also, manual copying of files into destinations is not recommended, as they may cause
    problems, one of which is that they won’t be removed with make uninstall.
    That’s what for the –prefix option exists anyway, to define the installation directory.

    Cheers,
    John.-

      Quota

  • thank you for explain..;)..and nice app
    usually when i install from sources..i put only ./configure..and if it fails i read INSTALL or README file
    but this time ..compilation was fine with no –prefix at the end..

      Quota

  • federico ITALY 12 anni ago

    Ciao, sto tentando di installare qt-rmd seguendo le indicazioni, ma il configure mi da il seguente errore:
    checking for QtCore… no
    configure: error: You need libQt4 >=4.2 and the appropriate development headers to proceed

    il fatto è che io ho le Qt 4.2.3 installate ma sembra non vederle , ho provato anche con –with-libQt=/usr/ecc.. ma continua a darmi problemi.
    ho installato anche pyqt-tools
    uso ubuntu dapper e gnome.
    come risolvo il problema?
    ciao
    grazie
    federico

      Quota

  • se leggi 2 post sopra..l’autore ha spiegato che per la compilazione

    ./configure –prefix=/usr/

    mentre per le qt4..se le hai installate probabilmente non hai esportato il PATH.
    Va inserito nella variabile della shell…nel file .bashrc..
    nella sezione qt di questo blog e’ spiegato..

    http://divilinu.wordpress.com/2007/04/08/klogshowoltre-superkaramba/

      Quota

  • federico ITALY 12 anni ago

    grazie, non avevo problemi per il ./configure –prefix=/usr/ ,
    il problema erano ( e sono) le qt nel senso che anche modificando il .bashrc come spiegato nel blog, il problema sussiste: continua a darmi un errore in fase di configurazione :
    checking for QtCore… no
    configure: error: You need libQt4 >=4.2 and the appropriate development headers to proceed

    boh?

    grazie cmque.
    federico

      Quota

  • per le modifiche al .bashrc devi riavviare
    prima della compilazione lancia l’export e poi riprova
    da dove le hai installate queste librerie?

      Quota

  • federico ITALY 12 anni ago

    ….”da dove le hai installate queste librerie?”…..
    non ricordo perfettamente … ma ad occhio dai sorgenti…
    comunque ora provo a riavviare il tutto e poi lancio l’export.
    grazie

      Quota

  • federico ITALY 12 anni ago

    ho modificato il .bashrc, ho riavviato, ho lanciato l’export ( export PATH) poi ho riprovato col ./configure …. tutto come sopra .
    comincio a perdere le speranze , la cosa che mi rompe è che non sembra esserci un modo per dargli il percorso delle qt4 , come mi è capitato in altre occasioni… comunque ho controllato e le qt le ho sicuramente installate dai sorgenti.
    ….
    ciao

    grazie
    federico

      Quota

  • quelle che ho scaricato e installato sono:

    http://www.trolltech.com/developer/downloads/qt

    e vengono installate in

    /usr/local/Trolltech/Qt-4.2.3/

      Quota

  • federico ITALY 12 anni ago

    anche le mie … stesso download, stesso percorso … solo che non ne vuole sapere!
    l’unico dubbio : quando dici “lancia l’export” intendi : “export PATH” da shell , giusto?

      Quota

  • si esatto..la stessa cosa che metti nel .bashrc

      Quota

  • NevidS ITALY 12 anni ago

    Divilinux, ho seguito il tutorial per mettere le qt4 per usarle poi con questa guida. L’istallazione delle qt4 parrebbe andata a buon fine, ma qt-record non si installa perchè dice che

    checking for QtCore… no
    configure: error: You need libQt4 >=4.2 and the appropriate development headers to proceed

    pur avendo, mi pare, installato il tutto.
    In caso se non mi dovesse funzionare come si fa a procedere per la rimozione delle qt4?
    Grazie, e complimenti per l’ottimo lavoro

      Quota

  • sudo apt-get install libqt4-dev

    ps.per rimuovere le librerie dovrebbe essere presente un unistall..

      Quota

  • NevidS ITALY 12 anni ago

    ehi, è vero, mi mancavano quelle librerie. ora il programma parte, però se faccio parire la registrazione mi viene fuori questo errore tutte le volte:
    http://img233.imageshack.us/img233/2807/screenshot1vo2.png

      Quota

  • mi sembra un errore di recordmydesktop

      Quota

  • NevidS ITALY 12 anni ago

    e quindi? dici che è senza risoluzione?
    da konsole non mi restituisce nessun errore comunque

      Quota

  • wesbluemarine ITALY 12 anni ago

    coma mai questo errore quando dò make?prima di formattare non me lo dava :/

    Making all in src
    make[1]: Entering directory `/home/albe123/qt-recordmydesktop-0.1/src’
    make[1]: Nothing to be done for `all’.
    make[1]: Leaving directory `/home/albe123/qt-recordmydesktop-0.1/src’
    Making all in po
    make[1]: Entering directory `/home/albe123/qt-recordmydesktop-0.1/po’
    file=`echo ar | sed ‘s,.*/,,’`.gmo \
    && rm -f $file && -o $file ar.po
    /bin/sh: -o: not found
    make[1]: *** [ar.gmo] Error 127
    make[1]: Leaving directory `/home/albe123/qt-recordmydesktop-0.1/po’
    make: *** [all-recursive] Error 1
    albe123@albe123-laptop:~/qt-recordmydesktop-0.1$

      Quota